classification
Title: Expose X509_V_FLAG_ALLOW_PROXY_CERTS in ssl
Type: enhancement Stage: resolved
Components: SSL Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: chrisburr, christian.heimes, miss-islington
Priority: normal Keywords: patch

Created on 2020-01-15 10:03 by chrisburr, last changed 2021-03-18 08:24 by christian.heimes. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18011 merged chrisburr, 2020-01-15 10:18
Messages (3)
msg360035 - (view) Author: Chris Burr (chrisburr) * Date: 2020-01-15 10:03
Enabling proxy certificate validation requires X509_V_FLAG_ALLOW_PROXY_CERTS to be included in the verify flags.[1] This should be exposed as ssl.VERIFY_ALLOW_PROXY_CERTS to match with the other X509_V_FLAG_* variables.

https://www.openssl.org/docs/man1.1.1/man7/proxy-certificates.html
msg388995 - (view) Author: miss-islington (miss-islington) Date: 2021-03-18 08:24
New changeset e0b4aa0f5c3c2b2c60f5d8b20cf291442a8df8a5 by Chris Burr in branch 'master':
bpo-39342: Expose X509_V_FLAG_ALLOW_PROXY_CERTS in ssl module (GH-18011)
https://github.com/python/cpython/commit/e0b4aa0f5c3c2b2c60f5d8b20cf291442a8df8a5
msg388996 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2021-03-18 08:24
Thanks for the PR!
History
Date User Action Args
2021-03-18 08:24:31christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg388996

stage: patch review -> resolved
2021-03-18 08:24:09miss-islingtonsetnosy: + miss-islington
messages: + msg388995
2020-10-12 07:48:44chrisburrsetversions: + Python 3.10, - Python 3.9
2020-01-15 10:18:42chrisburrsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17410
2020-01-15 10:03:11chrisburrsetassignee: christian.heimes

components: + SSL, - Library (Lib)
nosy: + christian.heimes
2020-01-15 10:03:00chrisburrcreate